Bug 143800 - 3 * array subscript out of range
3 * array subscript out of range
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Regina (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-28 06:37 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-31 08:31:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-12-28 06:37:20 EST
Description of problem:

I just tried to compile package Regina-2.3-1 from 
Redhat Fedora development tree.

The compiler said

1.

./debug.c(308): warning #175: subscript out of range

The source code is

      if (chptr>=chend || outptr >= string->value + BUFFERSIZE)
         break ;

string->value + BUFFERSIZE doesn't exist, suggest

      if (chptr>=chend || outptr > string->value + BUFFERSIZE - 1)
         break ;

is better code.

2.

./extstack.c(407): warning #175: subscript out of range

The source code is

      (*server_name)->value[9] = '\0';

I'm not sure what the fix is for this.

3.

./rexxsaa.c(934): warning #175: subscript out of range

The source code is

            rt->CurrentHandlers->Handlers[RXENV] = handler ;

but

../BUILD/Regina-2.3/rexxsaa.h:#define RXENV       12  /* System
Environment interface */
../BUILD/Regina-2.3/rexxsaa.h:#define RXNOOFEXITS 12

Suggest code re-work.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Karsten Hopp 2005-01-31 08:31:53 EST
Regina has been removed

Note You need to log in before you can comment on or make changes to this bug.